[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.DoBandPaint

Signals the OnBandPaint event handler using the specified arguments.

## Declaration

Source position: extctrls.pp line 1626

`protected procedure TCustomControlBar.DoBandPaint(`
`AControl: TControl;`
`ACanvas: TCanvas;`
`var ARect: TRect;`
`var AOptions: TBandPaintOptions`
`); virtual;`

## Arguments

`AControl` |  | Control for the band rendered in the method.
`ACanvas` |  | Canvas where the band (and the control) are drawn.
`ARect` |  | Display area for the band and control drawn in the method.
`AOptions` |  | Set of TBandPaintOption value which control the decorations and drawing style for the band.

## Description

DoBandPaint is a method used to draw the specified control for a visible TCtrlBand to the Canvas for the control. It is called from the Paint method for each off the visible bands on the control.

Use the OnBandPaint event handler to perform actions needed to configure the Canvas or render the control instance.